#
# spec file for package enc
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           enc
Version:        1.1.4
Release:        1.1
Summary:        Modern and friendly alternative to GnuPG
License:        MIT
Group:          Productivity/Networking/Security
URL:            https://github.com/life4/enc
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging

%description
Enc is a CLI tool for encryption, a modern and friendly alternative to GnuPG. It is easy to use, secure by default and can encrypt and decrypt files using password or encryption keys, manage and download keys, and sign data. Our goal was to make encryption available to all engineers without the need to learn a lot of new words, concepts, and commands.

%prep
%setup -q -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%doc README.md

%changelog
* Mon Apr  7 2025 Michael Vetter <mvetter@suse.com>
- Update to 1.1.4:
  * Update all dependencies #9
* Tue Jan  9 2024 Michael Vetter <mvetter@suse.com>
- Update to 1.1.3:
  * Fix typo in README #7
  * Update all dependencies #8
* Tue Jun  6 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.1.2:
  * Update all dependencies #6
* Sun Mar 12 2023 Michael Vetter <mvetter@suse.com>
- Update to 1.1.1:
  * Fix broken link in README #3
  * Submit Go dependencies into GitHub API #4
  * Update all dependencies #5
* Fri Feb 10 2023 Michael Vetter <mvetter@suse.com>
- Initial package of enc 1.1.0 for openSUSE
